<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>

    <IsPackable>false</IsPackable>
    <IsTestProject>true</IsTestProject>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Sources\MangaDex\Api\Manga-Chapter-Response.json" />
    <None Remove="Sources\MangaDex\Api\Manga-Cover-Art-Response.json" />
    <None Remove="Sources\MangaDex\Api\Manga-Search-Response-2.json" />
    <None Remove="Sources\NatoManga\Api\Manga-Chapter-Response.html" />
    <None Remove="WebCrawlers\Samples\MangaNato - Please Go Home, Akutsu-San!.htm" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Sources\NatoManga\Metadata\Manga-Response.html">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="Sources\MangaNato\Metadata\Manga-Response.html">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Sources\MangaDex\Api\Manga-Chapter-Response.json" />
    <EmbeddedResource Include="Sources\MangaDex\Api\Manga-Cover-Art-Response.json" />
    <EmbeddedResource Include="Sources\MangaDex\Api\Manga-Search-Response-2.json" />
    <EmbeddedResource Include="Sources\MangaDex\Api\Manga-Search-Response.json" />
    <EmbeddedResource Include="Sources\NatoManga\Pages\Manga-Chapter-Response.html" />
    <EmbeddedResource Include="Sources\NatoManga\Api\Manga-Search-Response.json" />
    <EmbeddedResource Include="Sources\MangaDex\Api\Manga-Feed-Response.json" />
    <EmbeddedResource Include="Sources\MangaDex\Api\Manga-Response.json" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="coverlet.collector" Version="6.0.4">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="9.0.9" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="18.0.0" />
    <PackageReference Include="NSubstitute" Version="5.3.0" />
    <PackageReference Include="Shouldly" Version="4.3.0" />
    <PackageReference Include="xunit" Version="2.9.3" />
    <PackageReference Include="xunit.runner.visualstudio" Version="3.1.5">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\MangaReader.Core\MangaReader.Core.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="Xunit" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="WebCrawlers\NatoManga\" />
    <Folder Include="WebCrawlers\Samples\" />
  </ItemGroup>

</Project>
